Skip to main content

## read_multi

The read_multi command is used to convert multi-line data into CSV. From CSVfix's point of view, multi-line data is data that consists either of a fixed number of lines, or a variable number of lines ended with a special terminator string. For example, the following has two line per record:
Superman
Fortress of Solitude
Batman
The Batcave
while this uses a dash as a separator, allowing different numbers of fields per record:
Superman
Fortress of Solitude
-
Batman
The Batcave
Gotham City
-
In both cases CSVfix reads each line into a CSV field, so the second example above would produce:
"Superman","Fortress of Solitude"
"Batman","The Batcave","Gotham City"
If you need all the records to have the same number of fields, consider piping the output through the pad command.

Flag | Req'd? | Description
-n number | No | Specifies the number of lines in a multi-line record. This is currently arbitrarily limited to 200. One of -n or -s must be specified, but not both.
-s sep | No | Specifies the separator to use for multi-line records. This must be one or more characters in length.

Created with the Personal Edition of HelpNDoc: Easily create EBooks

####